EDIT - feature request #8648

Simplify name details view configuration

11/05/2019 11:24 AM - Katja Luther

Status: Closed Start date:

Priority: New Due date:

Assignee: Katja Luther % Done: 100%
Category: taxeditor Estimated time: 0:00 hour
Target version: Release 5.11

Severity: normal

Description

mail AM:

Hallo Katja,

ich frage mich gerade, ob wir das Dropdown Feld ,Show simplified name detials view with the following elements” so brauchen.

Eigentlich hei3t das doch nur, das von den Default Werten abgewichen werden soll. Dies kann aber einfach durch ,Restore Default"
auch erreicht werden. Wenn man unbedingt deutlich machen will, dass derzeit nur default Werte verwendet werden, kann man das ja

als berechnete Information irgendwo unterbringen. Aber notwendig ist es m.E. nicht.

Ich denke wenn wir es wegnehmen, vereinfacht das die Logik ein bisschen und ist auch mehr konsistent mit den anderen

Preferences.

mail AK:

Den Begriff ,Simple Name Details View" sollten wir aber auch durch weglassen des "Simple" zu "Name Details View" vereinfachen.

Associated revisions

Revision b99d2118 - 11/05/2019 11:34 AM - Katja Luther

fix #8648: simplify name details view

Revision 00a7ae7a - 11/06/2019 10:19 AM - Katja Luther

ref #8648: set default for local, label issues

Revision 37cff480 - 11/06/2019 10:42 AM - Katja Luther

ref #8648: default handling in name details preference

Revision 99310e0d - 11/06/2019 11:03 AM - Katja Luther

ref #8648: default handling in name details preference - continue

History

#1 - 11/05/2019 11:35 AM - Katja Luther
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset taxeditor|b99d2118937199a57d8b4907a76eba41de08ed82.

#2 - 11/05/2019 12:38 PM - Katja Luther
- Assignee changed from Katja Luther to Andreas Miiller

- Target version changed from Unassigned CDM tickets to Release 5.11

#3 - 11/05/2019 04:34 PM - Andreas Miiller
- Description updated
- Status changed from Resolved to Feedback

- Assignee changed from Andreas Miiller to Katja Luther
https://dev.e-taxonomy.eu/redmine/projects/edit/repository/taxeditor/revisions/b99d2118937199a57d8b4907a76eba41de08ed82

"Simple Name Details View" have been renamed as expected.
Also removing the field "Show simplified name detials view with the following elements" works as expected.

Only in local preferences | used "Restore Defaults” and it set all checkboxes to true though in DB prefs (with allow override) 3 checkboxes were
unchecked.

I would expect the default for local preference is always taken from the DB pref settings. | don't know if this is related to this ticket or if we should open
a new one. Also | have not checked if this behavior holds for all local prefs or if it is specific for name details view prefs.

#4 - 11/05/2019 04:36 PM - Andreas Miiller
- % Done changed from 50 to 80

Minor issue: can you rename the menu label in DB prefs from "Name Details View" to "Details View". From the given context is is clear that it is the
Name Details View. Also in local prefs it is the case already (I wonder why the both menus do have different labels, | thought the labels come from the
same base class).

#5 - 11/06/2019 02:49 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Miiller

default handling is fixed now and labeling is changed as well.

#6 - 11/07/2019 03:46 PM - Andreas Miiller
- Status changed from Resolved to Closed

- Assignee changed from Andreas Muiller to Katja Luther

Works as expected now.

#7 - 11/20/2019 12:05 PM - Andreas Miiller
- % Done changed from 80 to 100
